var e = require("../common/vendor.js");
exports.useHeight = function () {
  var t = e.ref(0),
    a = e.ref(0),
    i = e.ref(0),
    n = e.index.getMenuButtonBoundingClientRect();
  return (
    (t.value = e.index.getSystemInfoSync().statusBarHeight),
    (a.value = 2 * (n.top - t.value) + n.height),
    (i.value = t.value + a.value),
    { statusBarHeight: t, titleBarHeight: a, navigationBarHeight: i }
  );
};
